<?php 
	
	if (Session::get("tipo_usuario") != "1"){ show_403();}
	if ($_SERVER["REQUEST_METHOD"] == "GET") {
		import_file(DIR_MODELS."Model.class.php");
		import_file(DIR_LIBRARIES."functions.php");

		$sql = encrypt_decode(filter_input(INPUT_GET, "busca", FILTER_SANITIZE_STRING));

		$model = new Model();

		$result = $model->query($sql);

		$html = "
			<table border='1'>
				<thead>
					<tr>
						<th valign='middle' colspan='7'>".utf8_decode("Lista de Usuários")."</th>
					</tr>
					<tr>
						<th valign='middle'>ID</th>
						<th valign='middle'>Nome</th>
						<th valign='middle'>Contato</th>
						<th valign='middle'>Documento</th>
						<th valign='middle'>Local</th>
						<th valign='middle'>Tipo</th>
						<th valign='middle'>".utf8_decode("Situação")."</th>
					</tr>
				</thead>
				<tbody>
		";

		foreach ($result->fetchAll() as $dados) {
			if ($dados->tipo_usuario == "Cliente" or $dados->tipo_usuario == "Administrador") {
				if (qualificado($dados->id_usuario)) {
					$status = "<font color='#28a745'>Qualificado</font>";
				}
				else{
					$status = "<font color='#dc3545'>Não Qualificado</font>";
				}
			}
			else{
				$status = "<font color='#343a40'>Sem Situação</font>";
			}

			$html .= "
				<tr>
					<td valign='middle'><div align='center'>".$dados->id_usuario."</div></td>
					<td valign='middle'><div align='left'>".utf8_decode($dados->nome_usuario)."</div></td>
					<td valign='middle'><div align='left'>".utf8_decode("{$dados->email_usuario}<br>{$dados->telefone_usuario}")."</div></td>
					<td valign='middle'><div align='center'>".utf8_decode($dados->cpf_usuario)."<div></td>
					<td valign='middle'><div align='center'>".utf8_decode("{$dados->nome_cidade}, {$dados->nome_estado}")."<div></td>
					<td valign='middle'><div align='center'>".utf8_decode($dados->tipo_usuario)."</div></td>
					<td valign='middle'><div align='center'>".utf8_decode($status)."</div></td>
				</tr>
			";
		}

		$html .= "
				</tbody>
			</table>
		";

		$nome_arquivo = "usuarios_".strtotime(date("Y-m-d H:i:s")).".xls";

		header("Content-Type: application/vnd.ms-excel; charset=utf-8");
		header("Content-Disposition: attachment;filename=".$nome_arquivo);
		header("Cache-Control: max-age=0");
		header("Cache-Control: max-age=1");

		echo $html;
	}
	else{
		show_403();
	}

?>